Skip to documentation
Workflow Developer API

Replace Workflow Graph

Replace the entire editable draft graph after public policy validation.

PUT/developer/v1/workflows/{definition_id}/graph

Authorizations

Authorization
stringheaderrequired

Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:write for the authenticated organization.

Headers

Accept
stringheader

Response media type. Use application/json for the current API.

Parameters

definition_idrequired
stringpath

Request body

Send an application/json request body. This body is required.

WorkflowGraphReplaceRequest
nodesarray<WorkflowNodeSchema>
edgesarray<WorkflowEdgeSchema>

Responses

200Successful Response
WorkflowMutationResponse
successboolean
errorstring | null
error_categorystring | null
retryableboolean | null
definition_idstring | null
version_idstring | null
node_idstring | null
node_namestring | null
422Validation Error
HTTPValidationError
detailarray<ValidationError>